<?php

namespace App\Http\Models;
use Illuminate\Database\Eloquent\Model;

class PaymentModel extends Model
{
    protected $table = 'userpayment';
    public $timestamps = false;

    /***关联活码支付通道****/
    public function livepay()
    {
        return $this->hasone('App\Http\Models\LivepassagewayModel','Id','passageway_id');
    }

    /***关联固码支付通道****/
    public function diepay()
    {
        return $this->hasone('App\Http\Models\DiepassagewayModel','Id','passageway_id');
    }
}
